# getBattlerTag | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Function getBattlerTag

- getBattlerTag(
  tagType: BattlerTagType ,
  turnCount: number,
  sourceMove: Moves ,
  sourceId: number,
  ): BattlerTag

  Retrieves a `BattlerTag` based on the provided tag type, turn count, source move, and source ID.

  #### Parameters

  - tagType: BattlerTagType
  - turnCount: number
  - sourceMove: Moves
  - sourceId: number

    The ID of the pokemon adding the tag

  #### Returns BattlerTag

  The corresponding `BattlerTag` object.

  - Defined in src/data/battler-tags.ts:3445